/* -------------------------------------------------------------------------------------------------------------------------------------
GuBrain_v6: 

El programa utiliza la plataforma C3 para ir imprimiento en pantalla VGA automatas celulares bidimensionales.

Partiendo del v5, se pretende que esta version sea capaz de leer las reglas 
y  las configuraciones que se le introducen por el terminal

Sorbas 23/Nov/2012
------------------------------------------------------------------------------------------------------------------------------------- */


#include <stdio.h>
#include <stdlib.h>
#include "vga.h"
#include "propeller.h"
#include "my_vga_functions.h"
#include "automataCelular.h"


int main()
{
    
    waitcnt(CLKFREQ+CNT);
    printf("Introduce las reglas: (pulsa intro para las reglas por defecto)");
    /*El formato de introduccion de las reglas es p.ej "23/3" que significa que ...
    Una célula viva con 2 ó 3 células vecinas vivas sigue viva, en otro caso muere
    Una célula muerta con exactamente 3 células vecinas vivas "nace" */
    leeReglas();
    printf("\nIntroduce la configuracion: ");
    
    char conf2[] = "xxx";
    leeConfiguracion(conf2,3);
    //leeConfiguracion2();
    
    
   int generations = 0;
   init_vga();
    
    srand(_CNT);
 
    drawGrid(); 

    for(;;) {
      
        runGrid();
        drawGrid();
        print3digits(  generations++, 110, 110, White);
        if ((generations > MAX_GENERATIONS)   || cmpGrid() ) {   // || cmpGrid()
            generations = 0;
            //inicioAleatorio();       
            }
        }   
        
       
}









